Subject: [Fot] Drill Bit

From: [email-masked]
Date: Wed, 28 Aug 2013 19:38:42 +0000

Late last night in I put a drill bit completely through my finger and out the other side. Lots of pain and blood lost on the quest for the Kastner Cup. Hours of prep turn into days. Why would the oil cooler I need be the only size that is out of stock...everywhere. I found one that will work but likely will need a different mounting set-up. Sounds easy.. 5 - 10 minutes tops.
Jason Ostrowski
Friendly Ghost Racing  
Sent via BlackBerry by AT&T
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive